##### 7.5.11.0. CentralSaturation

Procedure from library `ncdecomp.lib` (see ncdecomp_lib).

Usage:
  CentralSaturation(M, T), for a module M and an ideal T

Assume:
  T is an ideal in the center of the base ring

Return:
  module

Purpose:
  compute the central saturation of M by T, that is M:T^{\infty}, by repetitive application of `CentralQuot`

Note:
  the output module is not necessarily a Groebner basis

Example:

    LIB "ncdecomp.lib";
    option(returnSB);
    def a = makeUsl2();
    setring a;
    ideal I = e3,f3,h3-4*h;
    I = std(I);
    poly C=4*e*f+h^2-2*h;
    ideal G = C*(C-8);
    ideal R = CentralSaturation(I,G);
    R=std(R);
    vdim(R);
    ==> 5
    R;
    ==> R[1]=h
    ==> R[2]=ef-6
    ==> R[3]=f3
    ==> R[4]=e3

See also: CenCharDec; CentralQuot.

User manual for Singular version 4.4.1, 2025, generated by texi2html.